Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lagadd

polynomial.laguerre.lagadd(c1, c2)

  Add one Laguerre series to another.

  Returns the sum of two Laguerre series c1 + c2. The arguments are sequences of coefficients ordered from lowest order term to highest, i.e., [1,2,3] represents the series `P_0 + 2*P_1 + 3*P_2`.

  Parameters:
    c1, c2 array_like

      1-D arrays of Laguerre series coefficients ordered from low to high.

  Returns:
    out ndarray

      Array representing the Laguerre series of their sum.

  See also

  `lagsub`, `lagmulx`, `lagmul`, `lagdiv`, `lagpow`

  Notes

  Unlike multiplication, division, etc., the sum of two Laguerre series is a Laguerre series (without having to “reproject” the result onto the basis set) so addition, just like that of “standard” polynomials, is simply “component-wise.”

  Examples

      >>> from numpy.polynomial.laguerre import lagadd
      >>> lagadd([1, 2, 3], [1, 2, 3, 4])
      array([2.,  4.,  6.,  4.])